### Hierarchy

- AudioParam

## Index

### Properties

- automationRate
- defaultValue
- maxValue
- minValue
- value

### Methods

- cancelAndHoldAtTime
- cancelScheduledValues
- exponentialRampToValueAtTime
- linearRampToValueAtTime
- setTargetAtTime
- setValueAtTime
- setValueCurveAtTime

## Properties

### automationRate

automationRate: AutomationRate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1992

### defaultValue

defaultValue: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1993

### maxValue

maxValue: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1994

### minValue

minValue: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1995

### value

value: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1996

## Methods

### cancelAndHoldAtTime

- cancelAndHoldAtTime(cancelTime: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1997

  #### Parameters

  - ##### cancelTime: number

  #### Returns AudioParam

### cancelScheduledValues

- cancelScheduledValues(cancelTime: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1998

  #### Parameters

  - ##### cancelTime: number

  #### Returns AudioParam

### exponentialRampToValueAtTime

- exponentialRampToValueAtTime(value: number, endTime: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1999

  #### Parameters

  - ##### value: number

  - ##### endTime: number

  #### Returns AudioParam

### linearRampToValueAtTime

- linearRampToValueAtTime(value: number, endTime: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2000

  #### Parameters

  - ##### value: number

  - ##### endTime: number

  #### Returns AudioParam

### setTargetAtTime

- setTargetAtTime(target: number, startTime: number, timeConstant: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2001

  #### Parameters

  - ##### target: number

  - ##### startTime: number

  - ##### timeConstant: number

  #### Returns AudioParam

### setValueAtTime

- setValueAtTime(value: number, startTime: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2002

  #### Parameters

  - ##### value: number

  - ##### startTime: number

  #### Returns AudioParam

### setValueCurveAtTime

- setValueCurveAtTime(values: number[] | Float32Array, startTime: number, duration: number): AudioParam

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2003

  #### Parameters

  - ##### values: number[] | Float32Array

  - ##### startTime: number

  - ##### duration: number

  #### Returns AudioParam

Generated using TypeDoc